Autore Topic: Errore compilazione bombono-dvd  (Letto 1508 volte)

Offline mrcrowley

  • *
  • Post: 876
  • Reputazione: -1
    • Mostra profilo
Errore compilazione bombono-dvd
« il: 14 Luglio 2014 ore 13:39 »
Codice: [Seleziona]
scons: done reading SConscript files.
scons: Building targets ...
scons: building associated VariantDir targets: build
g++ -o build/src/mgui/project/mconstructor-main.o -c -Wall -W -Wno-reorder -O2 -ansi -DBOOST_SP_USE_QUICK_ALLOCATOR -DBOOST_SYSTEM_NO_DEPRECATED -DNDEBUG -DEXT_BOOST -Ibuild/src -Isrc -Ilibs/boost-logging -Ilibs/asl -Ibuild/src -Isrc -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/giomm-2.4 -I/usr/lib/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib/pangomm-1.4/include -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -DBOOST_SYSTEM_NO_DEPRECATED -DBOOST_FILESYSTEM_VERSION=3 src/mgui/project/mconstructor-main.cpp
g++ -o build/src/mgui/dialog.o -c -Wall -W -Wno-reorder -O2 -ansi -DBOOST_SP_USE_QUICK_ALLOCATOR -DBOOST_SYSTEM_NO_DEPRECATED -DNDEBUG -DEXT_BOOST -Ibuild/src -Isrc -Ilibs/boost-logging -Ilibs/asl -Ibuild/src -Isrc -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/giomm-2.4 -I/usr/lib/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib/pangomm-1.4/include -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -DBOOST_SYSTEM_NO_DEPRECATED -DBOOST_FILESYSTEM_VERSION=3 src/mgui/dialog.cpp
g++ -o build/src/mgui/dvdimport.o -c -Wall -W -Wno-reorder -O2 -ansi -DBOOST_SP_USE_QUICK_ALLOCATOR -DBOOST_SYSTEM_NO_DEPRECATED -DNDEBUG -DEXT_BOOST -Ibuild/src -Isrc -Ilibs/boost-logging -Ilibs/asl -Ibuild/src -Isrc -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/giomm-2.4 -I/usr/lib/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib/pangomm-1.4/include -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -DBOOST_SYSTEM_NO_DEPRECATED -DBOOST_FILESYSTEM_VERSION=3 src/mgui/dvdimport.cpp
g++ -o build/src/mgui/execution.o -c -Wall -W -Wno-reorder -O2 -ansi -DBOOST_SP_USE_QUICK_ALLOCATOR -DBOOST_SYSTEM_NO_DEPRECATED -DNDEBUG -DEXT_BOOST -Ibuild/src -Isrc -Ilibs/boost-logging -Ilibs/asl -Ibuild/src -Isrc -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/giomm-2.4 -I/usr/lib/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib/pangomm-1.4/include -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -DBOOST_SYSTEM_NO_DEPRECATED -DBOOST_FILESYSTEM_VERSION=3 src/mgui/execution.cpp
src/mgui/execution.cpp: In destructor ‘ExecOutput::~ExecOutput()’:
src/mgui/execution.cpp:143:13: warning: unused variable ‘fd’ [-Wunused-variable]
         int fd = g_io_channel_unix_get_fd(outChnl->gobj());
             ^
src/mgui/execution.cpp: At global scope:
src/mgui/execution.cpp:116:13: warning: ‘bool IsFDOpen(int)’ defined but not used [-Wunused-function]
 static bool IsFDOpen(int fd)
             ^
g++ -o build/src/mgui/ffviewer.o -c -Wall -W -Wno-reorder -O2 -ansi -DBOOST_SP_USE_QUICK_ALLOCATOR -DBOOST_SYSTEM_NO_DEPRECATED -DNDEBUG -DEXT_BOOST -Ibuild/src -Isrc -Ilibs/boost-logging -Ilibs/asl -Ibuild/src -Isrc -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/giomm-2.4 -I/usr/lib/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib/pangomm-1.4/include -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/harfbuzz -I/usr/include/freetype2 -DBOOST_SYSTEM_NO_DEPRECATED -DBOOST_FILESYSTEM_VERSION=3 src/mgui/ffviewer.cpp
src/mgui/ffviewer.cpp:409:32: error: ‘CodecID’ was not declared in this scope
 static std::string CodecID2Str(CodecID codec_id)
                                ^
src/mgui/ffviewer.cpp:410:1: error: expected ‘,’ or ‘;’ before ‘{’ token
 {
 ^
src/mgui/ffviewer.cpp: In function ‘bool OpenInfo(FFData&, const char*, FFDiagnosis&)’:
src/mgui/ffviewer.cpp:553:56: error: no match for call to ‘(std::string {aka std::basic_string<char>}) (AVCodecID&)’
         std::string tag_str = CodecID2Str(dec->codec_id);
                                                        ^
scons: *** [build/src/mgui/ffviewer.o] Error 1
scons: building terminated because of errors.
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #1 il: 14 Luglio 2014 ore 14:24 »
Da manutentore del pacchetto dico: segnatemi il pacchetto come obsoleto quando non funziona!!!  :P
e possibilmente mettete un commento.

Almeno siete sicuri che prima o poi faccio qualcosa (o almeno ci provo).

Con tutti i cambiamenti delle librerie di questo periodo devo darci uno sguardo. Scopiazzo da AUR, speriamo di far funzionare qualcosa...
Anche perchè io da un po' non lo lanciavo e vedo che neanche parte, cerca una vecchia libreria libboost_filesystem.so.1.52.0 mentre siamo alla 55.

Appena combino qualcosa aggiorno il progressivo e magari posto qui

Offline mrcrowley

  • *
  • Post: 876
  • Reputazione: -1
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #2 il: 14 Luglio 2014 ore 14:28 »
Ok. Grazie.
Allora te lo metto pure su Openshot  ;D

Edit: vuoi dire che quì sul forum non si dovrebbero postare ??
« Ultima modifica: 14 Luglio 2014 ore 14:30 da mrcrowley »

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #3 il: 14 Luglio 2014 ore 15:00 »
no no. puoi postare a volontà. Ma se mi dimentico ne perdo traccia. Invece il flag di obsoleto sul pacchetto mi rimane finchè non sistemo.

bombono ora funziona  ;)

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #4 il: 14 Luglio 2014 ore 15:37 »
Per openshot: io sono in testing, ma il pacchetto di ccr mi ha compilato correttamente.
Puoi dirmi più nello specifico cosa fallisce?

Offline mrcrowley

  • *
  • Post: 876
  • Reputazione: -1
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #5 il: 14 Luglio 2014 ore 15:46 »
Confermo bombono-dvd è ok !!! Lo reputi superiore a Dvdstyler ??? Altro pacchetto che non compila correttamente.

Openshot ti metto le ultime righe:
Codice: [Seleziona]
/usr/bin/grep: /usr/lib/libEGL.la: No such file or directory
/bin/sed: can't read /usr/lib/libEGL.la: No such file or directory
libtool: link: `/usr/lib/libEGL.la' is not a valid libtool archive
make[3]: *** [libgoocanvas.la] Errore 1
make[3]: Leaving directory `/tmp/ccrbuild-1000/goocanvas/goocanvas/src/goocanvas-1.0.0/src'
make[2]: *** [all] Errore 2
make[2]: Leaving directory `/tmp/ccrbuild-1000/goocanvas/goocanvas/src/goocanvas-1.0.0/src'
make[1]: *** [all-recursive] Errore 1
make[1]: Leaving directory `/tmp/ccrbuild-1000/goocanvas/goocanvas/src/goocanvas-1.0.0'
make: *** [all] Errore 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #6 il: 14 Luglio 2014 ore 16:32 »
Codice: [Seleziona]
can't read /usr/lib/libEGL.la: No such file or directory
è un problema ora risolto in testing. Qualche giorno, al prossimo grosso passaggio in stable compilerà...

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #7 il: 14 Luglio 2014 ore 16:57 »
Per semplici DVD bombono è fenomenale. Peccato che non sia sviluppato da qualche mese.

Olter a openshot mi raccomando, prova kdenlive!!  ;)

dvdstyler è da un po' che non lo prendo in mano. Ho fatto solo semplici menu di apertura ed ho usato bombono


EDIT: ho adottato i pacchetti e cerco di caricarli.
Puah, robaccia GTK!  ;D ;D
« Ultima modifica: 14 Luglio 2014 ore 17:15 da dinolib »

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #8 il: 14 Luglio 2014 ore 18:25 »
dvdstyler caricato  8)

(nota: in testing parte correttamente. se avete problemi attendere il prossimo rilascio in stable)

Offline mrcrowley

  • *
  • Post: 876
  • Reputazione: -1
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #9 il: 14 Luglio 2014 ore 22:17 »
.... aspetto i prossimi aggiornamenti, perchè per ora non compilano ne openshot ne dvdstyler, sempre a causa delle /usr/lib/libEGL.la

Kdenlive lo uso già, solo che cercavo qualcosa di più facile e veloce.
Ho visto il video di Openshot in QT e sembra promettere davvero bene, così intanto mi accontentavo della versione GTK.

Ciao, grazie.

Offline mrcrowley

  • *
  • Post: 876
  • Reputazione: -1
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #10 il: 21 Luglio 2014 ore 11:45 »
Installato anche Openshot e DvdStyler. Tutto ok !!
Grazie mille !!!  :beer:

Offline mrcrowley

  • *
  • Post: 876
  • Reputazione: -1
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #11 il: 21 Luglio 2014 ore 14:23 »

Olter a openshot mi raccomando, prova kdenlive!!  ;)


A proposito di video editing .... sai di qualche applicazione che faccia tutto in automatico ???
Tipo che gli devo solo dare i file e lui li assembla, con transizioni e quant'altro ???
Su Winzoz lo fanno in diversi, ma KdenLive e Openshot no.

Cioao

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Errore compilazione bombono-dvd
« Risposta #12 il: 21 Luglio 2014 ore 14:54 »
Parli di transizioni fra video o immagini?

Per le foto ho usato ffdiaporama o 4kslideshowmaker (ho avuto qualche problema con smile). Mai usato invece dvd-slideshow.
Di certo ce ne sono altri, questi quelli che mi vengono ora in mente.

Se invece devi mettere insieme filmati, non saprei. Anche perchè vista la complessità della cosa faccio fatica a vedere un tool automatico che faccia tutto... Sembra che diaporama accetti in input anche filmati  ;D
(se conosci il nome del SW win, cerca in rete linux alternative nome-programma. Spesso funziona!)

 

Template by Homey | Sito ufficiale | Disclaimer